List contract termination reasons

Retrieves the standardized list of termination reasons to present when initiating a contract termination Token scopes: contracts:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

limitintegerOptional1-100Defaults to 20

Number of items to return per page (default: 20, max: 100)

cursorstringOptional

Cursor for pagination. Use the value from next_cursor in the previous response to fetch the next page.

order_byenumOptionalDefaults to frequency
Field to order results by
Allowed values:
orderenumOptionalDefaults to asc
Sort direction for results
Allowed values:

Response

Paginated list of termination reasons
datalist of objects
has_moreboolean
Indicates whether there are more results available
next_cursorstring or null
Cursor to use for fetching the next page. Null if there are no more results.
total_countinteger
Total number of termination reasons available

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error